Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# Index

Symbols | A | C | D | E | F | G | H | I | K | L | M | N | O | P | Q | R | S | T | V | W | X | Z

## Symbols

- --action
  - kitten-@-resize-os-window command line option
- --add-cursor
  - kitten-@-get-text command line option
- --add-trailing-space
  - kitty-+kitten-hints command line option
- --add-wrap-markers
  - kitten-@-get-text command line option
- --alias
  - kitty-+kitten-clipboard command line option
- --align
  - kitty-+kitten-icat command line option
- --all
  - kitten-@-disable-ligatures command line option
  - kitten-@-last-used-layout command line option
  - kitten-@-send-text command line option
  - kitten-@-set-background-image command line option
  - kitten-@-set-background-opacity command line option
  - kitten-@-set-colors command line option
  - kitten-@-set-font-size command line option
  - kitten-@-set-spacing command line option
- --all-env-vars
  - kitten-@-ls command line option
- --allow-remote-control
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --alpha
  - kitten-@-set-window-logo command line option
- --alphabet
  - kitty-+kitten-hints command line option
- --ansi
  - kitten-@-get-text command line option
- --ascending
  - kitty-+kitten-hints command line option
- --axis
  - kitten-@-resize-window command line option
- --background
  - kitty-+kitten-icat command line option
- --cache-age
  - kitty-+kitten-themes command line option
- --class
  - kitty command line option
  - kitty-+kitten-panel command line option
- --clear
  - kitty-+kitten-icat command line option
- --clear-selection
  - kitten-@-get-text command line option
- --color
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --columns
  - kitty-+kitten-panel command line option
- --compress
  - kitty-+kitten-transfer command line option
- --config
  - kitty command line option
  - kitty-+kitten-diff command line option
  - kitty-+kitten-panel command line option
- --config-file-name
  - kitty-+kitten-themes command line option
- --configured
  - kitten-@-get-colors command line option
  - kitten-@-set-background-image command line option
  - kitten-@-set-colors command line option
  - kitten-@-set-enabled-layouts command line option
  - kitten-@-set-spacing command line option
- --confirm-paths
  - kitty-+kitten-transfer command line option
- --context
  - kitty-+kitten-diff command line option
- --copy-cmdline
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --copy-colors
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --copy-env
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --customize-processing
  - kitty-+kitten-hints command line option
- --cwd
  - command line option
  - kitten-@-launch command line option
  - kitten-@-new-window command line option
  - launch command line option
- --debug-font-fallback
  - kitty command line option
- --debug-gl
  - kitty command line option
- --debug-input
  - kitty command line option
- --debug-keyboard
  - kitty command line option
- --debug-rendering
  - kitty command line option
- --dest
  - command line option, [1]
- --detach
  - kitty command line option
- --detect-support
  - kitty-+kitten-icat command line option
- --detection-timeout
  - kitty-+kitten-icat command line option
- --direction
  - kitty-+kitten-transfer command line option
- --directory
  - kitty command line option
- --dont-take-focus
  - command line option
  - kitten-@-launch command line option
  - kitten-@-new-window command line option
  - launch command line option
- --dump-bytes
  - kitty command line option
- --dump-commands
  - kitty command line option
- --dump-theme
  - kitty-+kitten-themes command line option
- --edge
  - kitty-+kitten-panel command line option
- --emoji-variation
  - kitty-+kitten-unicode_input command line option
- --end-session
  - kitty-+kitten-broadcast command line option
- --engine
  - kitty-+kitten-icat command line option
- --env
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --exclude
  - command line option, [1]
- --exclude-active
  - kitten-@-select-window command line option
  - kitten-@-send-text command line option
- --extent
  - kitten-@-get-text command line option
- --from-file
  - kitten-@-send-text command line option
- --get-clipboard
  - kitty-+kitten-clipboard command line option
- --glob
  - command line option, [1]
- --height
  - kitten-@-resize-os-window command line option
- --hide-input-toggle
  - kitty-+kitten-broadcast command line option
- --hints-background-color
  - kitty-+kitten-hints command line option
- --hints-foreground-color
  - kitty-+kitten-hints command line option
- --hints-offset
  - kitty-+kitten-hints command line option
- --hints-text-color
  - kitty-+kitten-hints command line option
- --hold
  - command line option
  - kitten-@-launch command line option
  - kitty command line option
  - kitty-+kitten-icat command line option
  - launch command line option
- --ignore-no-match
  - kitten-@-close-tab command line option
  - kitten-@-close-window command line option
- --image-id
  - kitty-+kitten-icat command line option
- --increment
  - kitten-@-resize-window command line option
- --incremental
  - kitten-@-resize-os-window command line option
- --instance-group
  - kitty command line option
- --keep-focus
  - command line option
  - kitten-@-launch command line option
  - kitten-@-new-window command line option
  - launch command line option
- --layout
  - kitten-@-set-background-image command line option
- --linenum-action
  - kitty-+kitten-hints command line option
- --lines
  - kitty-+kitten-panel command line option
- --listen-on
  - kitty command line option
- --location
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --logo
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --logo-alpha
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --logo-position
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --loop
  - kitty-+kitten-icat command line option
- --marker
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --match
  - kitten-@-close-tab command line option
  - kitten-@-close-window command line option
  - kitten-@-create-marker command line option
  - kitten-@-detach-tab command line option
  - kitten-@-detach-window command line option
  - kitten-@-disable-ligatures command line option
  - kitten-@-focus-tab command line option
  - kitten-@-focus-window command line option
  - kitten-@-get-colors command line option
  - kitten-@-get-text command line option
  - kitten-@-goto-layout command line option
  - kitten-@-kitten command line option
  - kitten-@-last-used-layout command line option
  - kitten-@-launch command line option
  - kitten-@-ls command line option
  - kitten-@-new-window command line option
  - kitten-@-remove-marker command line option
  - kitten-@-resize-os-window command line option
  - kitten-@-resize-window command line option
  - kitten-@-scroll-window command line option
  - kitten-@-select-window command line option
  - kitten-@-send-text command line option
  - kitten-@-set-background-image command line option
  - kitten-@-set-background-opacity command line option
  - kitten-@-set-colors command line option
  - kitten-@-set-enabled-layouts command line option
  - kitten-@-set-spacing command line option
  - kitten-@-set-tab-color command line option
  - kitten-@-set-tab-title command line option
  - kitten-@-set-user-vars command line option
  - kitten-@-set-window-logo command line option
  - kitten-@-set-window-title command line option
  - kitten-@-signal-child command line option
  - kitty-+kitten-broadcast command line option
- --match-tab
  - kitten-@-disable-ligatures command line option
  - kitten-@-ls command line option
  - kitten-@-send-text command line option
  - kitten-@-set-background-opacity command line option
  - kitten-@-set-colors command line option
  - kitten-@-set-spacing command line option
  - kitty-+kitten-broadcast command line option
- --mime
  - kitty-+kitten-clipboard command line option
- --minimum-match-length
  - kitty-+kitten-hints command line option
- --mirror
  - kitty-+kitten-icat command line option
- --mode
  - kitty-+kitten-transfer command line option
- --multiple
  - kitty-+kitten-hints command line option
- --multiple-joiner
  - kitty-+kitten-hints command line option
- --name
  - kitty command line option
  - kitty-+kitten-panel command line option
- --new-tab
  - kitten-@-new-window command line option
- --no-response
  - kitten-@-close-tab command line option
  - kitten-@-close-window command line option
  - kitten-@-focus-tab command line option
  - kitten-@-focus-window command line option
  - kitten-@-last-used-layout command line option
  - kitten-@-launch command line option
  - kitten-@-new-window command line option
  - kitten-@-resize-os-window command line option
  - kitten-@-scroll-window command line option
  - kitten-@-set-background-image command line option
  - kitten-@-set-window-logo command line option
  - kitten-@-signal-child command line option

- --os-window-class
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --os-window-name
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --os-window-state
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --os-window-title
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --override
  - kitty command line option
  - kitty-+kitten-diff command line option
  - kitty-+kitten-panel command line option
- --passthrough
  - kitty-+kitten-icat command line option
- --password
  - kitten-@ command line option
- --password-env
  - kitten-@ command line option
- --password-file
  - kitten-@ command line option
- --permissions-bypass
  - kitty-+kitten-transfer command line option
- --place
  - kitty-+kitten-icat command line option
- --position
  - kitten-@-set-window-logo command line option
- --print-window-size
  - kitty-+kitten-icat command line option
- --program
  - kitty-+kitten-hints command line option
- --reactivate-prev-tab
  - kitten-@-select-window command line option
- --regex
  - kitty-+kitten-hints command line option
- --reload-in
  - kitty-+kitten-themes command line option
- --remote-control-password
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --replay-commands
  - kitty command line option
- --reset
  - kitten-@-set-colors command line option
- --response-timeout
  - kitten-@-select-window command line option
- --scale-up
  - kitty-+kitten-icat command line option
- --self
  - kitten-@-close-tab command line option
  - kitten-@-close-window command line option
  - kitten-@-create-marker command line option
  - kitten-@-detach-tab command line option
  - kitten-@-detach-window command line option
  - kitten-@-get-text command line option
  - kitten-@-launch command line option
  - kitten-@-ls command line option
  - kitten-@-remove-marker command line option
  - kitten-@-resize-os-window command line option
  - kitten-@-resize-window command line option
  - kitten-@-select-window command line option
  - kitten-@-set-tab-color command line option
  - kitten-@-set-window-logo command line option
- --session
  - kitty command line option
- --silent
  - kitty-+kitten-icat command line option
- --single-instance
  - kitty command line option
- --spacing
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --start-as
  - kitty command line option
- --stdin
  - kitten-@-send-text command line option
  - kitty-+kitten-icat command line option
- --stdin-add-formatting
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --stdin-add-line-wrap-markers
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --stdin-source
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --symlink-strategy
  - command line option, [1]
- --tab
  - kitty-+kitten-unicode_input command line option
- --tab-title
  - command line option
  - kitten-@-launch command line option
  - kitten-@-new-window command line option
  - launch command line option
- --target-tab
  - kitten-@-detach-tab command line option
  - kitten-@-detach-window command line option
- --temporary
  - kitten-@-set-window-title command line option
- --title
  - command line option
  - kitten-@-launch command line option
  - kitten-@-new-window command line option
  - kitten-@-select-window command line option
  - kitty command line option
  - launch command line option
- --to
  - kitten-@ command line option
- --toggle
  - kitten-@-set-background-opacity command line option
- --transfer-mode
  - kitty-+kitten-icat command line option
- --transmit-deltas
  - kitty-+kitten-transfer command line option
- --type
  - command line option
  - kitten-@-launch command line option
  - kitty-+kitten-hints command line option
  - launch command line option
- --unicode-placeholder
  - kitty-+kitten-icat command line option
- --unit
  - kitten-@-resize-os-window command line option
- --url-prefixes
  - kitty-+kitten-hints command line option
- --use-password
  - kitten-@ command line option
- --use-primary
  - kitty-+kitten-clipboard command line option
- --var
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- --version
  - kitty command line option
- --wait-for
  - kitty-+kitten-query_terminal command line option
- --wait-for-completion
  - kitty-+kitten-clipboard command line option
- --wait-for-single-instance-window-close
  - kitty command line option
- --watcher
  - command line option
  - kitten-@-launch command line option
  - kitty command line option
  - launch command line option
- --width
  - kitten-@-resize-os-window command line option
- --window-title
  - command line option
  - kitten-@-launch command line option
  - kitty-+kitten-hints command line option
  - launch command line option
- --window-type
  - kitten-@-new-window command line option
- --word-characters
  - kitty-+kitten-hints command line option
- --working-directory
  - kitty command line option
- --z-index
  - kitty-+kitten-icat command line option
- -1
  - kitty command line option
- -a
  - kitten-@-disable-ligatures command line option
  - kitten-@-last-used-layout command line option
  - kitten-@-resize-window command line option
  - kitten-@-set-background-image command line option
  - kitten-@-set-background-opacity command line option
  - kitten-@-set-colors command line option
  - kitten-@-set-font-size command line option
  - kitten-@-set-spacing command line option
  - kitty-+kitten-clipboard command line option
- -c
  - kitten-@-get-colors command line option
  - kitten-@-set-background-image command line option
  - kitten-@-set-colors command line option
  - kitten-@-set-spacing command line option
  - kitty command line option
  - kitty-+kitten-panel command line option
  - kitty-+kitten-transfer command line option
- -d
  - kitty command line option
  - kitty-+kitten-transfer command line option
- -g
  - kitty-+kitten-clipboard command line option
- -i
  - kitten-@-resize-window command line option
- -l
  - kitty-+kitten-icat command line option
- -m
  - kitten-@-close-tab command line option
  - kitten-@-close-window command line option
  - kitten-@-create-marker command line option
  - kitten-@-detach-tab command line option
  - kitten-@-detach-window command line option
  - kitten-@-disable-ligatures command line option
  - kitten-@-focus-tab command line option
  - kitten-@-focus-window command line option
  - kitten-@-get-colors command line option
  - kitten-@-get-text command line option
  - kitten-@-goto-layout command line option
  - kitten-@-kitten command line option
  - kitten-@-last-used-layout command line option
  - kitten-@-launch command line option
  - kitten-@-ls command line option
  - kitten-@-new-window command line option
  - kitten-@-remove-marker command line option
  - kitten-@-resize-os-window command line option
  - kitten-@-resize-window command line option
  - kitten-@-scroll-window command line option
  - kitten-@-select-window command line option
  - kitten-@-send-text command line option
  - kitten-@-set-background-image command line option
  - kitten-@-set-background-opacity command line option
  - kitten-@-set-colors command line option
  - kitten-@-set-enabled-layouts command line option
  - kitten-@-set-spacing command line option
  - kitten-@-set-tab-color command line option
  - kitten-@-set-tab-title command line option
  - kitten-@-set-user-vars command line option
  - kitten-@-set-window-logo command line option
  - kitten-@-set-window-title command line option
  - kitten-@-signal-child command line option
  - kitty-+kitten-broadcast command line option
  - kitty-+kitten-clipboard command line option
  - kitty-+kitten-transfer command line option
- -o
  - kitty command line option
  - kitty-+kitten-diff command line option
  - kitty-+kitten-panel command line option
- -p
  - kitty-+kitten-clipboard command line option
  - kitty-+kitten-transfer command line option
- -T
  - kitty command line option
- -t
  - kitten-@-detach-tab command line option
  - kitten-@-detach-window command line option
  - kitten-@-disable-ligatures command line option
  - kitten-@-ls command line option
  - kitten-@-send-text command line option
  - kitten-@-set-background-opacity command line option
  - kitten-@-set-colors command line option
  - kitten-@-set-spacing command line option
  - kitty-+kitten-broadcast command line option
- -v
  - kitty command line option
- -w
  - command line option
  - kitten-@-launch command line option
  - launch command line option
- -x
  - kitty-+kitten-transfer command line option
- -z
  - kitty-+kitten-icat command line option

## A

- Action
  - change_font_size
  - clear_selection
  - clear_terminal
  - close_os_window
  - close_other_tabs_in_os_window
  - close_other_windows_in_tab
  - close_shared_ssh_connections
  - close_tab
  - close_window
  - close_window_with_confirmation
  - combine
  - copy_and_clear_or_interrupt
  - copy_ansi_to_clipboard
  - copy_or_interrupt
  - copy_to_buffer
  - copy_to_clipboard
  - create_marker
  - debug_config
  - detach_tab
  - detach_window
  - disable_ligatures_in
  - discard_event
  - dump_lines_with_attrs
  - edit_config_file
  - eighth_window
  - fifth_window
  - first_window
  - focus_visible_window
  - fourth_window
  - goto_layout
  - goto_tab
  - hide_macos_app
  - hide_macos_other_apps
  - input_unicode_character
  - kitten
  - kitty_shell
  - last_used_layout
  - launch
  - layout_action
  - load_config_file
  - minimize_macos_window
  - mouse_click_url
  - mouse_click_url_or_select
  - mouse_handle_click
  - mouse_select_command_output
  - mouse_selection
  - mouse_show_command_output
  - move_tab_backward
  - move_tab_forward
  - move_window
  - move_window_backward
  - move_window_forward
  - move_window_to_top
  - neighboring_window
  - new_os_window
  - new_os_window_with_cwd
  - new_tab
  - new_tab_with_cwd
  - new_window
  - new_window_with_cwd
  - next_layout
  - next_tab
  - next_window
  - ninth_window
  - no_op
  - nth_os_window
  - nth_window
  - open_url
  - open_url_with_hints
  - pass_selection_to_program
  - paste
  - paste_from_buffer
  - paste_from_clipboard
  - paste_from_selection
  - paste_selection
  - paste_selection_or_clipboard
  - previous_tab
  - previous_window
  - quit
  - remote_control
  - remote_control_script
  - remove_marker
  - reset_window_sizes
  - resize_window
  - scroll_end
  - scroll_home
  - scroll_line_down
  - scroll_line_up
  - scroll_page_down
  - scroll_page_up
  - scroll_prompt_to_bottom
  - scroll_prompt_to_top
  - scroll_to_mark
  - scroll_to_prompt
  - second_window
  - select_tab
  - send_text
  - set_background_opacity
  - set_colors
  - set_tab_title
  - set_window_title
  - seventh_window
  - show_first_command_output_on_screen
  - show_kitty_doc
  - show_kitty_env_vars
  - show_last_command_output
  - show_last_non_empty_command_output
  - show_last_visited_command_output
  - show_scrollback
  - signal_child
  - sixth_window
  - sleep
  - start_resizing_window
  - swap_with_window
  - tenth_window
  - third_window
  - toggle_fullscreen
  - toggle_layout
  - toggle_macos_secure_keyboard_entry
  - toggle_marker
  - toggle_maximized

## C

- change_font_size
  - Action
- clear_selection
  - Action
- clear_terminal
  - Action
- close_os_window
  - Action
- close_other_tabs_in_os_window
  - Action
- close_other_windows_in_tab
  - Action
- close_shared_ssh_connections
  - Action
- close_tab
  - Action
- close_window
  - Action
- close_window_with_confirmation
  - Action
- combine
  - Action
- command line option
  - --allow-remote-control
  - --color
  - --copy-cmdline
  - --copy-colors
  - --copy-env
  - --cwd
  - --dest, [1]
  - --dont-take-focus
  - --env
  - --exclude, [1]
  - --glob, [1]
  - --hold
  - --keep-focus
  - --location
  - --logo
  - --logo-alpha
  - --logo-position
  - --marker
  - --os-window-class
  - --os-window-name
  - --os-window-state
  - --os-window-title
  - --remote-control-password
  - --spacing
  - --stdin-add-formatting
  - --stdin-add-line-wrap-markers
  - --stdin-source
  - --symlink-strategy, [1]
  - --tab-title
  - --title
  - --type
  - --var
  - --watcher
  - --window-title
  - -w
- Config Setting
  - kitten-diff.added_bg
  - kitten-diff.diff_cmd
  - kitten-diff.filler_bg
  - kitten-diff.foreground
  - kitten-diff.hunk_margin_bg
  - kitten-diff.ignore_name
  - kitten-diff.margin_bg
  - kitten-diff.margin_filler_bg
  - kitten-diff.num_context_lines
  - kitten-diff.pygments_style
  - kitten-diff.removed_bg
  - kitten-diff.replace_tab_by
  - kitten-diff.search_bg
  - kitten-diff.syntax_aliases
  - kitten-diff.title_fg
  - kitten-ssh.askpass
  - kitten-ssh.color_scheme
  - kitten-ssh.copy
  - kitten-ssh.cwd
  - kitten-ssh.delegate
  - kitten-ssh.env
  - kitten-ssh.forward_remote_control
  - kitten-ssh.hostname
  - kitten-ssh.interpreter
  - kitten-ssh.login_shell
  - kitten-ssh.remote_dir
  - kitten-ssh.remote_kitty
  - kitten-ssh.share_connections
  - kitten-ssh.shell_integration
  - kitty.action_alias
  - kitty.active_border_color
  - kitty.active_tab_foreground
  - kitty.active_tab_title_template
  - kitty.allow_cloning
  - kitty.allow_hyperlinks
  - kitty.allow_remote_control
  - kitty.background_blur
  - kitty.background_image
  - kitty.background_image_layout
  - kitty.background_image_linear
  - kitty.background_opacity
  - kitty.background_tint
  - kitty.background_tint_gaps
  - kitty.bell_border_color
  - kitty.bell_on_tab
  - kitty.bell_path
  - kitty.box_drawing_scale
  - kitty.clear_all_mouse_actions
  - kitty.clear_all_shortcuts
  - kitty.click_interval
  - kitty.clipboard_control
  - kitty.clipboard_max_size
  - kitty.clone_source_strategies
  - kitty.close_on_child_death
  - kitty.color0
  - kitty.color1
  - kitty.color2
  - kitty.color3
  - kitty.color4
  - kitty.color5
  - kitty.color6
  - kitty.color7
  - kitty.command_on_bell
  - kitty.confirm_os_window_close
  - kitty.copy_on_select
  - kitty.cursor
  - kitty.cursor_beam_thickness
  - kitty.cursor_blink_interval
  - kitty.cursor_shape
  - kitty.cursor_stop_blinking_after
  - kitty.cursor_text_color
  - kitty.cursor_underline_thickness
  - kitty.default_pointer_shape
  - kitty.detect_urls
  - kitty.dim_opacity
  - kitty.disable_ligatures
  - kitty.draw_minimal_borders
  - kitty.dynamic_background_opacity
  - kitty.editor
  - kitty.enable_audio_bell
  - kitty.enabled_layouts
  - kitty.env
  - kitty.exe_search_path
  - kitty.file_transfer_confirmation_bypass
  - kitty.focus_follows_mouse
  - kitty.font_family
  - kitty.font_features
  - kitty.font_size
  - kitty.force_ltr
  - kitty.foreground
  - kitty.forward_stdio
  - kitty.hide_window_decorations
  - kitty.inactive_border_color
  - kitty.inactive_text_alpha
  - kitty.input_delay
  - kitty.kitten_alias
  - kitty.kitty_mod
  - kitty.linux_bell_theme
  - kitty.linux_display_server
  - kitty.listen_on
  - kitty.macos_colorspace
  - kitty.macos_custom_beam_cursor
  - kitty.macos_hide_from_tasks
  - kitty.macos_menubar_title_max_length
  - kitty.macos_option_as_alt
  - kitty.macos_quit_when_last_window_closed
  - kitty.macos_show_window_title_in
  - kitty.macos_thicken_font
  - kitty.macos_titlebar_color
  - kitty.macos_traditional_fullscreen
  - kitty.macos_window_resizable
  - kitty.mark1_background
  - kitty.mark1_foreground
  - kitty.mark2_background
  - kitty.mark2_foreground
  - kitty.mark3_background
  - kitty.mark3_foreground
  - kitty.menu_map
  - kitty.modify_font
  - kitty.mouse_hide_wait
  - kitty.narrow_symbols
  - kitty.open_url_with
  - kitty.paste_actions
  - kitty.placement_strategy
  - kitty.pointer_shape_when_dragging
  - kitty.pointer_shape_when_grabbed
  - kitty.remember_window_size
  - kitty.remote_control_password
  - kitty.repaint_delay
  - kitty.resize_debounce_time
  - kitty.resize_in_steps
  - kitty.scrollback_fill_enlarged_window
  - kitty.scrollback_lines
  - kitty.scrollback_pager
  - kitty.scrollback_pager_history_size
  - kitty.select_by_word_characters
  - kitty.select_by_word_characters_forward
  - kitty.selection_foreground
  - kitty.shell
  - kitty.shell_integration
  - kitty.show_hyperlink_targets
  - kitty.single_window_margin_width
  - kitty.single_window_padding_width
  - kitty.startup_session
  - kitty.strip_trailing_spaces
  - kitty.symbol_map
  - kitty.sync_to_monitor
  - kitty.tab_activity_symbol
  - kitty.tab_bar_align
  - kitty.tab_bar_background
  - kitty.tab_bar_edge
  - kitty.tab_bar_margin_color
  - kitty.tab_bar_margin_height
  - kitty.tab_bar_margin_width
  - kitty.tab_bar_min_tabs
  - kitty.tab_bar_style
  - kitty.tab_fade
  - kitty.tab_powerline_style
  - kitty.tab_separator
  - kitty.tab_switch_strategy
  - kitty.tab_title_max_length
  - kitty.tab_title_template
  - kitty.term
  - kitty.text_composition_strategy
  - kitty.text_fg_override_threshold
  - kitty.touch_scroll_multiplier
  - kitty.undercurl_style
  - kitty.underline_hyperlinks
  - kitty.update_check_interval
  - kitty.url_color
  - kitty.url_excluded_characters
  - kitty.url_prefixes
  - kitty.visual_bell_color
  - kitty.visual_bell_duration
  - kitty.visual_window_select_characters
  - kitty.watcher
  - kitty.wayland_titlebar_color
  - kitty.wheel_scroll_min_lines
  - kitty.wheel_scroll_multiplier
  - kitty.window_alert_on_bell
  - kitty.window_border_width
  - kitty.window_logo_alpha
  - kitty.window_logo_path
  - kitty.window_logo_position
  - kitty.window_margin_width
  - kitty.window_padding_width
  - kitty.window_resize_step_cells

- copy_and_clear_or_interrupt
  - Action
- copy_ansi_to_clipboard
  - Action
- copy_or_interrupt
  - Action
- copy_to_buffer
  - Action
- copy_to_clipboard
  - Action
- create_marker
  - Action

## D

- debug_config
  - Action
- detach_tab
  - Action
- detach_window
  - Action

- disable_ligatures_in
  - Action
- discard_event
  - Action
- dump_lines_with_attrs
  - Action

## E

- edit_config_file
  - Action
- EDITOR, [1], [2]
- eighth_window
  - Action
- ENV
- environment variable
  - COLORTERM
  - EDITOR, [1], [2], [3]
  - ENV, [1]
  - GLFW_IM_MODULE
  - KITTY_CACHE_DIRECTORY
  - KITTY_CHILD_CMDLINE, [1]
  - KITTY_CLONE_SOURCE_CODE, [1], [2]
  - KITTY_CLONE_SOURCE_PATH, [1], [2]
  - KITTY_COMMON_OPTS
  - KITTY_CONFIG_DIRECTORY, [1], [2], [3], [4]
  - KITTY_DEVELOP_FROM
  - KITTY_HOLD
  - KITTY_INSTALLATION_DIR, [1]
  - KITTY_LISTEN_ON, [1], [2], [3], [4], [5]
  - KITTY_OS, [1], [2]
  - KITTY_PID, [1]
  - KITTY_PIPE_DATA, [1]
  - KITTY_PUBLIC_KEY, [1], [2], [3], [4], [5]
  - KITTY_RC_PASSWORD, [1], [2]
  - KITTY_RUNTIME_DIRECTORY
  - KITTY_SHELL_INTEGRATION, [1], [2], [3], [4], [5]
  - KITTY_WAYLAND_DETECT_MODIFIERS
  - KITTY_WINDOW_ID, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23], [24]
  - LANG, [1], [2]
  - PATH, [1], [2], [3], [4], [5]
  - SSH_ASKPASS, [1]
  - TERM, [1], [2], [3], [4]
  - TERMINFO, [1], [2], [3]
  - VISUAL, [1], [2], [3], [4]
  - WINDOWID
  - XDG_DATA_DIRS, [1]
  - ZDOTDIR, [1], [2]

## F

- fifth_window
  - Action
- first_window
  - Action

- focus_visible_window
  - Action
- fourth_window
  - Action

## G

- goto_layout
  - Action

- goto_tab
  - Action

## H

- hide_macos_app
  - Action

- hide_macos_other_apps
  - Action
- hyperlinks

## I

- input_unicode_character
  - Action

## K

- Keyboard Shortcut
  - kitten-diff.Copy selection to clipboard
  - kitten-diff.Copy selection to clipboard or exit if no selection is present
  - kitten-diff.Decrease context
  - kitten-diff.Increase context
  - kitten-diff.Quit
  - kitten-diff.Scroll down
  - kitten-diff.Scroll to bottom
  - kitten-diff.Scroll to next change
  - kitten-diff.Scroll to next page
  - kitten-diff.Scroll to next search match
  - kitten-diff.Scroll to previous change
  - kitten-diff.Scroll to previous page
  - kitten-diff.Scroll to previous search match
  - kitten-diff.Scroll to top
  - kitten-diff.Scroll up
  - kitten-diff.Search backward
  - kitten-diff.Search backward (no regex)
  - kitten-diff.Search forward
  - kitten-diff.Search forward (no regex)
  - kitten-diff.Show all context
  - kitten-diff.Show default context
  - kitty.Browse output of the last shell command in pager
  - kitty.Browse scrollback buffer in pager
  - kitty.Clear up to cursor line
  - kitty.Click the link under the mouse cursor
  - kitty.Click the link under the mouse or move the cursor
  - kitty.Click the link under the mouse or move the cursor even when grabbed
  - kitty.Close OS window
  - kitty.Close tab
  - kitty.Close window
  - kitty.Copy to clipboard
  - kitty.Debug kitty configuration
  - kitty.Decrease background opacity
  - kitty.Decrease font size
  - kitty.Discard press event for link click
  - kitty.Edit config file
  - kitty.Eighth window
  - kitty.Extend the current selection
  - kitty.Extend the current selection even when grabbed
  - kitty.Fifth window
  - kitty.First window
  - kitty.Fourth window
  - kitty.Hide macOS kitty application
  - kitty.Hide macOS other applications
  - kitty.Increase background opacity
  - kitty.Increase font size
  - kitty.Insert selected hash
  - kitty.Insert selected line
  - kitty.Insert selected path
  - kitty.Insert selected word
  - kitty.Make background fully opaque
  - kitty.Minimize macOS window
  - kitty.Move tab backward
  - kitty.Move tab forward
  - kitty.Move window backward
  - kitty.Move window forward
  - kitty.Move window to top
  - kitty.New OS window
  - kitty.New tab
  - kitty.New window
  - kitty.Next layout
  - kitty.Next tab
  - kitty.Next window
  - kitty.Ninth window
  - kitty.Open kitty Website
  - kitty.Open selected path
  - kitty.Open the kitty command shell
  - kitty.Open the selected file at the selected line
  - kitty.Open the selected hyperlink
  - kitty.Open URL
  - kitty.Pass selection to program
  - kitty.Paste from clipboard
  - kitty.Paste from selection
  - kitty.Paste from the primary selection
  - kitty.Paste from the primary selection even when grabbed
  - kitty.Previous tab
  - kitty.Previous window
  - kitty.Quit kitty
  - kitty.Reload kitty.conf
  - kitty.Reset background opacity
  - kitty.Reset font size
  - kitty.Reset the terminal
  - kitty.Scroll line down
  - kitty.Scroll line up
  - kitty.Scroll page down
  - kitty.Scroll page up
  - kitty.Scroll to bottom
  - kitty.Scroll to next shell prompt
  - kitty.Scroll to previous shell prompt
  - kitty.Scroll to top
  - kitty.Second window
  - kitty.Select a line
  - kitty.Select a line even when grabbed
  - kitty.Select a word
  - kitty.Select a word even when grabbed
  - kitty.Select line from point
  - kitty.Select line from point even when grabbed
  - kitty.Send arbitrary text on key presses
  - kitty.Set tab title
  - kitty.Seventh window
  - kitty.Show clicked command output in pager
  - kitty.Show documentation
  - kitty.Sixth window
  - kitty.Start resizing window
  - kitty.Start selecting text
  - kitty.Start selecting text even when grabbed
  - kitty.Start selecting text in a rectangle
  - kitty.Start selecting text in a rectangle even when grabbed
  - kitty.Tenth window
  - kitty.Third window
  - kitty.Toggle fullscreen
  - kitty.Toggle macOS secure keyboard entry
  - kitty.Toggle maximized
  - kitty.Unicode input
  - kitty.Visually select and focus window
  - kitty.Visually swap window with another
- kitten
  - Action
- kitten-@ command line option
  - --password
  - --password-env
  - --password-file
  - --to
  - --use-password
- kitten-@-close-tab command line option
  - --ignore-no-match
  - --match
  - --no-response
  - --self
  - -m
- kitten-@-close-window command line option
  - --ignore-no-match
  - --match
  - --no-response
  - --self
  - -m
- kitten-@-create-marker command line option
  - --match
  - --self
  - -m
- kitten-@-detach-tab command line option
  - --match
  - --self
  - --target-tab
  - -m
  - -t
- kitten-@-detach-window command line option
  - --match
  - --self
  - --target-tab
  - -m
  - -t
- kitten-@-disable-ligatures command line option
  - --all
  - --match
  - --match-tab
  - -a
  - -m
  - -t
- kitten-@-focus-tab command line option
  - --match
  - --no-response
  - -m
- kitten-@-focus-window command line option
  - --match
  - --no-response
  - -m
- kitten-@-get-colors command line option
  - --configured
  - --match
  - -c
  - -m
- kitten-@-get-text command line option
  - --add-cursor
  - --add-wrap-markers
  - --ansi
  - --clear-selection
  - --extent
  - --match
  - --self
  - -m
- kitten-@-goto-layout command line option
  - --match
  - -m
- kitten-@-kitten command line option
  - --match
  - -m
- kitten-@-last-used-layout command line option
  - --all
  - --match
  - --no-response
  - -a
  - -m
- kitten-@-launch command line option
  - --allow-remote-control
  - --color
  - --copy-cmdline
  - --copy-colors
  - --copy-env
  - --cwd
  - --dont-take-focus
  - --env
  - --hold
  - --keep-focus
  - --location
  - --logo
  - --logo-alpha
  - --logo-position
  - --marker
  - --match
  - --no-response
  - --os-window-class
  - --os-window-name
  - --os-window-state
  - --os-window-title
  - --remote-control-password
  - --self
  - --spacing
  - --stdin-add-formatting
  - --stdin-add-line-wrap-markers
  - --stdin-source
  - --tab-title
  - --title
  - --type
  - --var
  - --watcher
  - --window-title
  - -m
  - -w
- kitten-@-ls command line option
  - --all-env-vars
  - --match
  - --match-tab
  - --self
  - -m
  - -t
- kitten-@-new-window command line option
  - --cwd
  - --dont-take-focus
  - --keep-focus
  - --match
  - --new-tab
  - --no-response
  - --tab-title
  - --title
  - --window-type
  - -m
- kitten-@-remove-marker command line option
  - --match
  - --self
  - -m
- kitten-@-resize-os-window command line option
  - --action
  - --height
  - --incremental
  - --match
  - --no-response
  - --self
  - --unit
  - --width
  - -m
- kitten-@-resize-window command line option
  - --axis
  - --increment
  - --match
  - --self
  - -a
  - -i
  - -m
- kitten-@-scroll-window command line option
  - --match
  - --no-response
  - -m
- kitten-@-select-window command line option
  - --exclude-active
  - --match
  - --reactivate-prev-tab
  - --response-timeout
  - --self
  - --title
  - -m
- kitten-@-send-text command line option
  - --all
  - --exclude-active
  - --from-file
  - --match
  - --match-tab
  - --stdin
  - -m
  - -t
- kitten-@-set-background-image command line option
  - --all
  - --configured
  - --layout
  - --match
  - --no-response
  - -a
  - -c
  - -m
- kitten-@-set-background-opacity command line option
  - --all
  - --match
  - --match-tab
  - --toggle
  - -a
  - -m
  - -t
- kitten-@-set-colors command line option
  - --all
  - --configured
  - --match
  - --match-tab
  - --reset
  - -a
  - -c
  - -m
  - -t
- kitten-@-set-enabled-layouts command line option
  - --configured
  - --match
  - -m
- kitten-@-set-font-size command line option
  - --all
  - -a
- kitten-@-set-spacing command line option
  - --all
  - --configured
  - --match
  - --match-tab
  - -a
  - -c
  - -m
  - -t
- kitten-@-set-tab-color command line option
  - --match
  - --self
  - -m
- kitten-@-set-tab-title command line option
  - --match
  - -m
- kitten-@-set-user-vars command line option
  - --match
  - -m
- kitten-@-set-window-logo command line option
  - --alpha
  - --match
  - --no-response
  - --position
  - --self
  - -m
- kitten-@-set-window-title command line option
  - --match
  - --temporary
  - -m
- kitten-@-signal-child command line option
  - --match
  - --no-response
  - -m
- kitten-diff.added_bg
  - Config Setting
- kitten-diff.Copy selection to clipboard
  - Keyboard Shortcut
- kitten-diff.Copy selection to clipboard or exit if no selection is present
  - Keyboard Shortcut
- kitten-diff.Decrease context
  - Keyboard Shortcut
- kitten-diff.diff_cmd
  - Config Setting
- kitten-diff.filler_bg
  - Config Setting
- kitten-diff.foreground
  - Config Setting
- kitten-diff.hunk_margin_bg
  - Config Setting
- kitten-diff.ignore_name
  - Config Setting
- kitten-diff.Increase context
  - Keyboard Shortcut
- kitten-diff.margin_bg
  - Config Setting
- kitten-diff.margin_filler_bg
  - Config Setting
- kitten-diff.num_context_lines
  - Config Setting
- kitten-diff.pygments_style
  - Config Setting
- kitten-diff.Quit
  - Keyboard Shortcut
- kitten-diff.removed_bg
  - Config Setting
- kitten-diff.replace_tab_by
  - Config Setting
- kitten-diff.Scroll down
  - Keyboard Shortcut
- kitten-diff.Scroll to bottom
  - Keyboard Shortcut
- kitten-diff.Scroll to next change
  - Keyboard Shortcut
- kitten-diff.Scroll to next page
  - Keyboard Shortcut
- kitten-diff.Scroll to next search match
  - Keyboard Shortcut
- kitten-diff.Scroll to previous change
  - Keyboard Shortcut
- kitten-diff.Scroll to previous page
  - Keyboard Shortcut
- kitten-diff.Scroll to previous search match
  - Keyboard Shortcut
- kitten-diff.Scroll to top
  - Keyboard Shortcut
- kitten-diff.Scroll up
  - Keyboard Shortcut
- kitten-diff.Search backward
  - Keyboard Shortcut
- kitten-diff.Search backward (no regex)
  - Keyboard Shortcut
- kitten-diff.Search forward
  - Keyboard Shortcut
- kitten-diff.Search forward (no regex)
  - Keyboard Shortcut
- kitten-diff.search_bg
  - Config Setting
- kitten-diff.Show all context
  - Keyboard Shortcut
- kitten-diff.Show default context
  - Keyboard Shortcut
- kitten-diff.syntax_aliases
  - Config Setting
- kitten-diff.title_fg
  - Config Setting
- kitten-ssh.askpass
  - Config Setting
- kitten-ssh.color_scheme
  - Config Setting
- kitten-ssh.copy
  - Config Setting
- kitten-ssh.cwd
  - Config Setting
- kitten-ssh.delegate
  - Config Setting
- kitten-ssh.env
  - Config Setting
- kitten-ssh.forward_remote_control
  - Config Setting
- kitten-ssh.hostname
  - Config Setting
- kitten-ssh.interpreter
  - Config Setting
- kitten-ssh.login_shell
  - Config Setting
- kitten-ssh.remote_dir
  - Config Setting
- kitten-ssh.remote_kitty
  - Config Setting
- kitten-ssh.share_connections
  - Config Setting
- kitten-ssh.shell_integration
  - Config Setting
- kittens
- kitty command line option
  - --class
  - --config
  - --debug-font-fallback
  - --debug-gl
  - --debug-input
  - --debug-keyboard
  - --debug-rendering
  - --detach
  - --directory
  - --dump-bytes
  - --dump-commands
  - --hold
  - --instance-group
  - --listen-on
  - --name
  - --override
  - --replay-commands
  - --session
  - --single-instance
  - --start-as
  - --title
  - --version
  - --wait-for-single-instance-window-close
  - --watcher
  - --working-directory
  - -1
  - -c
  - -d
  - -o
  - -T
  - -v
- kitty-+kitten-broadcast command line option
  - --end-session
  - --hide-input-toggle
  - --match
  - --match-tab
  - -m
  - -t
- kitty-+kitten-clipboard command line option
  - --alias
  - --get-clipboard
  - --mime
  - --use-primary
  - --wait-for-completion
  - -a
  - -g
  - -m
  - -p
- kitty-+kitten-diff command line option
  - --config
  - --context
  - --override
  - -o
- kitty-+kitten-hints command line option
  - --add-trailing-space
  - --alphabet
  - --ascending
  - --customize-processing
  - --hints-background-color
  - --hints-foreground-color
  - --hints-offset
  - --hints-text-color
  - --linenum-action
  - --minimum-match-length
  - --multiple
  - --multiple-joiner
  - --program
  - --regex
  - --type
  - --url-prefixes
  - --window-title
  - --word-characters
- kitty-+kitten-icat command line option
  - --align
  - --background
  - --clear
  - --detect-support
  - --detection-timeout
  - --engine
  - --hold
  - --image-id
  - --loop
  - --mirror
  - --passthrough
  - --place
  - --print-window-size
  - --scale-up
  - --silent
  - --stdin
  - --transfer-mode
  - --unicode-placeholder
  - --z-index
  - -l
  - -z

- kitty-+kitten-panel command line option
  - --class
  - --columns
  - --config
  - --edge
  - --lines
  - --name
  - --override
  - -c
  - -o
- kitty-+kitten-query_terminal command line option
  - --wait-for
- kitty-+kitten-themes command line option
  - --cache-age
  - --config-file-name
  - --dump-theme
  - --reload-in
- kitty-+kitten-transfer command line option
  - --compress
  - --confirm-paths
  - --direction
  - --mode
  - --permissions-bypass
  - --transmit-deltas
  - -c
  - -d
  - -m
  - -p
  - -x
- kitty-+kitten-unicode_input command line option
  - --emoji-variation
  - --tab
- kitty.action_alias
  - Config Setting
- kitty.active_border_color
  - Config Setting
- kitty.active_tab_foreground
  - Config Setting
- kitty.active_tab_title_template
  - Config Setting
- kitty.allow_cloning
  - Config Setting
- kitty.allow_hyperlinks
  - Config Setting
- kitty.allow_remote_control
  - Config Setting
- kitty.background_blur
  - Config Setting
- kitty.background_image
  - Config Setting
- kitty.background_image_layout
  - Config Setting
- kitty.background_image_linear
  - Config Setting
- kitty.background_opacity
  - Config Setting
- kitty.background_tint
  - Config Setting
- kitty.background_tint_gaps
  - Config Setting
- kitty.bell_border_color
  - Config Setting
- kitty.bell_on_tab
  - Config Setting
- kitty.bell_path
  - Config Setting
- kitty.box_drawing_scale
  - Config Setting
- kitty.Browse output of the last shell command in pager
  - Keyboard Shortcut
- kitty.Browse scrollback buffer in pager
  - Keyboard Shortcut
- kitty.Clear up to cursor line
  - Keyboard Shortcut
- kitty.clear_all_mouse_actions
  - Config Setting
- kitty.clear_all_shortcuts
  - Config Setting
- kitty.Click the link under the mouse cursor
  - Keyboard Shortcut
- kitty.Click the link under the mouse or move the cursor
  - Keyboard Shortcut
- kitty.Click the link under the mouse or move the cursor even when grabbed
  - Keyboard Shortcut
- kitty.click_interval
  - Config Setting
- kitty.clipboard_control
  - Config Setting
- kitty.clipboard_max_size
  - Config Setting
- kitty.clone_source_strategies
  - Config Setting
- kitty.Close OS window
  - Keyboard Shortcut
- kitty.Close tab
  - Keyboard Shortcut
- kitty.Close window
  - Keyboard Shortcut
- kitty.close_on_child_death
  - Config Setting
- kitty.color0
  - Config Setting
- kitty.color1
  - Config Setting
- kitty.color2
  - Config Setting
- kitty.color3
  - Config Setting
- kitty.color4
  - Config Setting
- kitty.color5
  - Config Setting
- kitty.color6
  - Config Setting
- kitty.color7
  - Config Setting
- kitty.command_on_bell
  - Config Setting
- kitty.confirm_os_window_close
  - Config Setting
- kitty.Copy to clipboard
  - Keyboard Shortcut
- kitty.copy_on_select
  - Config Setting
- kitty.cursor
  - Config Setting
- kitty.cursor_beam_thickness
  - Config Setting
- kitty.cursor_blink_interval
  - Config Setting
- kitty.cursor_shape
  - Config Setting
- kitty.cursor_stop_blinking_after
  - Config Setting
- kitty.cursor_text_color
  - Config Setting
- kitty.cursor_underline_thickness
  - Config Setting
- kitty.Debug kitty configuration
  - Keyboard Shortcut
- kitty.Decrease background opacity
  - Keyboard Shortcut
- kitty.Decrease font size
  - Keyboard Shortcut
- kitty.default_pointer_shape
  - Config Setting
- kitty.detect_urls
  - Config Setting
- kitty.dim_opacity
  - Config Setting
- kitty.disable_ligatures
  - Config Setting
- kitty.Discard press event for link click
  - Keyboard Shortcut
- kitty.draw_minimal_borders
  - Config Setting
- kitty.dynamic_background_opacity
  - Config Setting
- kitty.Edit config file
  - Keyboard Shortcut
- kitty.editor
  - Config Setting
- kitty.Eighth window
  - Keyboard Shortcut
- kitty.enable_audio_bell
  - Config Setting
- kitty.enabled_layouts
  - Config Setting
- kitty.env
  - Config Setting
- kitty.exe_search_path
  - Config Setting
- kitty.Extend the current selection
  - Keyboard Shortcut
- kitty.Extend the current selection even when grabbed
  - Keyboard Shortcut
- kitty.Fifth window
  - Keyboard Shortcut
- kitty.file_transfer_confirmation_bypass
  - Config Setting
- kitty.First window
  - Keyboard Shortcut
- kitty.focus_follows_mouse
  - Config Setting
- kitty.font_family
  - Config Setting
- kitty.font_features
  - Config Setting
- kitty.font_size
  - Config Setting
- kitty.force_ltr
  - Config Setting
- kitty.foreground
  - Config Setting
- kitty.forward_stdio
  - Config Setting
- kitty.Fourth window
  - Keyboard Shortcut
- kitty.Hide macOS kitty application
  - Keyboard Shortcut
- kitty.Hide macOS other applications
  - Keyboard Shortcut
- kitty.hide_window_decorations
  - Config Setting
- kitty.inactive_border_color
  - Config Setting
- kitty.inactive_text_alpha
  - Config Setting
- kitty.Increase background opacity
  - Keyboard Shortcut
- kitty.Increase font size
  - Keyboard Shortcut
- kitty.input_delay
  - Config Setting
- kitty.Insert selected hash
  - Keyboard Shortcut
- kitty.Insert selected line
  - Keyboard Shortcut
- kitty.Insert selected path
  - Keyboard Shortcut
- kitty.Insert selected word
  - Keyboard Shortcut
- kitty.kitten_alias
  - Config Setting
- kitty.kitty_mod
  - Config Setting
- kitty.linux_bell_theme
  - Config Setting
- kitty.linux_display_server
  - Config Setting
- kitty.listen_on
  - Config Setting
- kitty.macos_colorspace
  - Config Setting
- kitty.macos_custom_beam_cursor
  - Config Setting
- kitty.macos_hide_from_tasks
  - Config Setting
- kitty.macos_menubar_title_max_length
  - Config Setting
- kitty.macos_option_as_alt
  - Config Setting
- kitty.macos_quit_when_last_window_closed
  - Config Setting
- kitty.macos_show_window_title_in
  - Config Setting
- kitty.macos_thicken_font
  - Config Setting
- kitty.macos_titlebar_color
  - Config Setting
- kitty.macos_traditional_fullscreen
  - Config Setting
- kitty.macos_window_resizable
  - Config Setting
- kitty.Make background fully opaque
  - Keyboard Shortcut
- kitty.mark1_background
  - Config Setting
- kitty.mark1_foreground
  - Config Setting
- kitty.mark2_background
  - Config Setting
- kitty.mark2_foreground
  - Config Setting
- kitty.mark3_background
  - Config Setting
- kitty.mark3_foreground
  - Config Setting
- kitty.menu_map
  - Config Setting
- kitty.Minimize macOS window
  - Keyboard Shortcut
- kitty.modify_font
  - Config Setting
- kitty.mouse_hide_wait
  - Config Setting
- kitty.Move tab backward
  - Keyboard Shortcut
- kitty.Move tab forward
  - Keyboard Shortcut
- kitty.Move window backward
  - Keyboard Shortcut
- kitty.Move window forward
  - Keyboard Shortcut
- kitty.Move window to top
  - Keyboard Shortcut
- kitty.narrow_symbols
  - Config Setting
- kitty.New OS window
  - Keyboard Shortcut
- kitty.New tab
  - Keyboard Shortcut
- kitty.New window
  - Keyboard Shortcut
- kitty.Next layout
  - Keyboard Shortcut
- kitty.Next tab
  - Keyboard Shortcut
- kitty.Next window
  - Keyboard Shortcut
- kitty.Ninth window
  - Keyboard Shortcut
- kitty.Open kitty Website
  - Keyboard Shortcut
- kitty.Open selected path
  - Keyboard Shortcut
- kitty.Open the kitty command shell
  - Keyboard Shortcut
- kitty.Open the selected file at the selected line
  - Keyboard Shortcut
- kitty.Open the selected hyperlink
  - Keyboard Shortcut
- kitty.Open URL
  - Keyboard Shortcut
- kitty.open_url_with
  - Config Setting
- kitty.Pass selection to program
  - Keyboard Shortcut
- kitty.Paste from clipboard
  - Keyboard Shortcut
- kitty.Paste from selection
  - Keyboard Shortcut
- kitty.Paste from the primary selection
  - Keyboard Shortcut
- kitty.Paste from the primary selection even when grabbed
  - Keyboard Shortcut
- kitty.paste_actions
  - Config Setting
- kitty.placement_strategy
  - Config Setting
- kitty.pointer_shape_when_dragging
  - Config Setting
- kitty.pointer_shape_when_grabbed
  - Config Setting
- kitty.Previous tab
  - Keyboard Shortcut
- kitty.Previous window
  - Keyboard Shortcut
- kitty.Quit kitty
  - Keyboard Shortcut
- kitty.Reload kitty.conf
  - Keyboard Shortcut
- kitty.remember_window_size
  - Config Setting
- kitty.remote_control_password
  - Config Setting
- kitty.repaint_delay
  - Config Setting
- kitty.Reset background opacity
  - Keyboard Shortcut
- kitty.Reset font size
  - Keyboard Shortcut
- kitty.Reset the terminal
  - Keyboard Shortcut
- kitty.resize_debounce_time
  - Config Setting
- kitty.resize_in_steps
  - Config Setting
- kitty.Scroll line down
  - Keyboard Shortcut
- kitty.Scroll line up
  - Keyboard Shortcut
- kitty.Scroll page down
  - Keyboard Shortcut
- kitty.Scroll page up
  - Keyboard Shortcut
- kitty.Scroll to bottom
  - Keyboard Shortcut
- kitty.Scroll to next shell prompt
  - Keyboard Shortcut
- kitty.Scroll to previous shell prompt
  - Keyboard Shortcut
- kitty.Scroll to top
  - Keyboard Shortcut
- kitty.scrollback_fill_enlarged_window
  - Config Setting
- kitty.scrollback_lines
  - Config Setting
- kitty.scrollback_pager
  - Config Setting
- kitty.scrollback_pager_history_size
  - Config Setting
- kitty.Second window
  - Keyboard Shortcut
- kitty.Select a line
  - Keyboard Shortcut
- kitty.Select a line even when grabbed
  - Keyboard Shortcut
- kitty.Select a word
  - Keyboard Shortcut
- kitty.Select a word even when grabbed
  - Keyboard Shortcut
- kitty.Select line from point
  - Keyboard Shortcut
- kitty.Select line from point even when grabbed
  - Keyboard Shortcut
- kitty.select_by_word_characters
  - Config Setting
- kitty.select_by_word_characters_forward
  - Config Setting
- kitty.selection_foreground
  - Config Setting
- kitty.Send arbitrary text on key presses
  - Keyboard Shortcut
- kitty.Set tab title
  - Keyboard Shortcut
- kitty.Seventh window
  - Keyboard Shortcut
- kitty.shell
  - Config Setting
- kitty.shell_integration
  - Config Setting
- kitty.Show clicked command output in pager
  - Keyboard Shortcut
- kitty.Show documentation
  - Keyboard Shortcut
- kitty.show_hyperlink_targets
  - Config Setting
- kitty.single_window_margin_width
  - Config Setting
- kitty.single_window_padding_width
  - Config Setting
- kitty.Sixth window
  - Keyboard Shortcut
- kitty.Start resizing window
  - Keyboard Shortcut
- kitty.Start selecting text
  - Keyboard Shortcut
- kitty.Start selecting text even when grabbed
  - Keyboard Shortcut
- kitty.Start selecting text in a rectangle
  - Keyboard Shortcut
- kitty.Start selecting text in a rectangle even when grabbed
  - Keyboard Shortcut
- kitty.startup_session
  - Config Setting
- kitty.strip_trailing_spaces
  - Config Setting
- kitty.symbol_map
  - Config Setting
- kitty.sync_to_monitor
  - Config Setting
- kitty.tab_activity_symbol
  - Config Setting
- kitty.tab_bar_align
  - Config Setting
- kitty.tab_bar_background
  - Config Setting
- kitty.tab_bar_edge
  - Config Setting
- kitty.tab_bar_margin_color
  - Config Setting
- kitty.tab_bar_margin_height
  - Config Setting
- kitty.tab_bar_margin_width
  - Config Setting
- kitty.tab_bar_min_tabs
  - Config Setting
- kitty.tab_bar_style
  - Config Setting
- kitty.tab_fade
  - Config Setting
- kitty.tab_powerline_style
  - Config Setting
- kitty.tab_separator
  - Config Setting
- kitty.tab_switch_strategy
  - Config Setting
- kitty.tab_title_max_length
  - Config Setting
- kitty.tab_title_template
  - Config Setting
- kitty.Tenth window
  - Keyboard Shortcut
- kitty.term
  - Config Setting
- kitty.text_composition_strategy
  - Config Setting
- kitty.text_fg_override_threshold
  - Config Setting
- kitty.Third window
  - Keyboard Shortcut
- kitty.Toggle fullscreen
  - Keyboard Shortcut
- kitty.Toggle macOS secure keyboard entry
  - Keyboard Shortcut
- kitty.Toggle maximized
  - Keyboard Shortcut
- kitty.touch_scroll_multiplier
  - Config Setting
- kitty.undercurl_style
  - Config Setting
- kitty.underline_hyperlinks
  - Config Setting
- kitty.Unicode input
  - Keyboard Shortcut
- kitty.update_check_interval
  - Config Setting
- kitty.url_color
  - Config Setting
- kitty.url_excluded_characters
  - Config Setting
- kitty.url_prefixes
  - Config Setting
- kitty.visual_bell_color
  - Config Setting
- kitty.visual_bell_duration
  - Config Setting
- kitty.visual_window_select_characters
  - Config Setting
- kitty.Visually select and focus window
  - Keyboard Shortcut
- kitty.Visually swap window with another
  - Keyboard Shortcut
- kitty.watcher
  - Config Setting
- kitty.wayland_titlebar_color
  - Config Setting
- kitty.wheel_scroll_min_lines
  - Config Setting
- kitty.wheel_scroll_multiplier
  - Config Setting
- kitty.window_alert_on_bell
  - Config Setting
- kitty.window_border_width
  - Config Setting
- kitty.window_logo_alpha
  - Config Setting
- kitty.window_logo_path
  - Config Setting
- kitty.window_logo_position
  - Config Setting
- kitty.window_margin_width
  - Config Setting
- kitty.window_padding_width
  - Config Setting
- kitty.window_resize_step_cells
  - Config Setting
- KITTY_CHILD_CMDLINE
- KITTY_CLONE_SOURCE_CODE, [1]
- KITTY_CLONE_SOURCE_PATH, [1]
- KITTY_CONFIG_DIRECTORY, [1], [2], [3]
- KITTY_INSTALLATION_DIR
- KITTY_LISTEN_ON, [1], [2], [3], [4]
- KITTY_OS, [1]
- KITTY_PID
- KITTY_PIPE_DATA
- KITTY_PUBLIC_KEY, [1], [2], [3], [4]
- KITTY_RC_PASSWORD, [1]
- kitty_shell
  - Action
- KITTY_SHELL_INTEGRATION, [1], [2], [3], [4]
- KITTY_WINDOW_ID, [1], [2], [3], [4], [5], [6], [7], [8], [9], [10], [11], [12], [13], [14], [15], [16], [17], [18], [19], [20], [21], [22], [23]

## L

- LANG, [1]
- last_used_layout
  - Action
- launch
  - Action
- launch command line option
  - --allow-remote-control
  - --color
  - --copy-cmdline
  - --copy-colors
  - --copy-env
  - --cwd
  - --dont-take-focus
  - --env
  - --hold
  - --keep-focus
  - --location
  - --logo
  - --logo-alpha
  - --logo-position
  - --marker
  - --os-window-class
  - --os-window-name
  - --os-window-state
  - --os-window-title
  - --remote-control-password
  - --spacing
  - --stdin-add-formatting
  - --stdin-add-line-wrap-markers
  - --stdin-source
  - --tab-title
  - --title
  - --type
  - --var
  - --watcher
  - --window-title
  - -w

- layout
- layout_action
  - Action
- load_config_file
  - Action

## M

- minimize_macos_window
  - Action
- mouse_click_url
  - Action
- mouse_click_url_or_select
  - Action
- mouse_handle_click
  - Action
- mouse_select_command_output
  - Action
- mouse_selection
  - Action
- mouse_show_command_output
  - Action

- move_tab_backward
  - Action
- move_tab_forward
  - Action
- move_window
  - Action
- move_window_backward
  - Action
- move_window_forward
  - Action
- move_window_to_top
  - Action

## N

- neighboring_window
  - Action
- new_os_window
  - Action
- new_os_window_with_cwd
  - Action
- new_tab
  - Action
- new_tab_with_cwd
  - Action
- new_window
  - Action
- new_window_with_cwd
  - Action

- next_layout
  - Action
- next_tab
  - Action
- next_window
  - Action
- ninth_window
  - Action
- no_op
  - Action
- nth_os_window
  - Action
- nth_window
  - Action

## O

- open_url
  - Action
- open_url_with_hints
  - Action

- os_window
- overlay

## P

- pass_selection_to_program
  - Action
- paste
  - Action
- paste_from_buffer
  - Action
- paste_from_clipboard
  - Action
- paste_from_selection
  - Action

- paste_selection
  - Action
- paste_selection_or_clipboard
  - Action
- PATH, [1], [2], [3], [4]
- previous_tab
  - Action
- previous_window
  - Action

## Q

- quit
  - Action

## R

- remote_control
  - Action
- remote_control_script
  - Action
- remove_marker
  - Action

- reset_window_sizes
  - Action
- resize_window
  - Action
- RFC
  - RFC 1924
  - RFC 1950, [1]

## S

- scroll_end
  - Action
- scroll_home
  - Action
- scroll_line_down
  - Action
- scroll_line_up
  - Action
- scroll_page_down
  - Action
- scroll_page_up
  - Action
- scroll_prompt_to_bottom
  - Action
- scroll_prompt_to_top
  - Action
- scroll_to_mark
  - Action
- scroll_to_prompt
  - Action
- second_window
  - Action
- select_tab
  - Action
- send_text
  - Action
- set_background_opacity
  - Action
- set_colors
  - Action

- set_tab_title
  - Action
- set_window_title
  - Action
- seventh_window
  - Action
- show_first_command_output_on_screen
  - Action
- show_kitty_doc
  - Action
- show_kitty_env_vars
  - Action
- show_last_command_output
  - Action
- show_last_non_empty_command_output
  - Action
- show_last_visited_command_output
  - Action
- show_scrollback
  - Action
- signal_child
  - Action
- sixth_window
  - Action
- sleep
  - Action
- SSH_ASKPASS
- start_resizing_window
  - Action
- swap_with_window
  - Action

## T

- tab
- tenth_window
  - Action
- TERM, [1], [2], [3]
- TERMINFO, [1], [2]
- third_window
  - Action
- toggle_fullscreen
  - Action

- toggle_layout
  - Action
- toggle_macos_secure_keyboard_entry
  - Action
- toggle_marker
  - Action
- toggle_maximized
  - Action

## V

- VISUAL, [1], [2], [3]

## W

- window

## X

- XDG_DATA_DIRS

## Z

- ZDOTDIR, [1]